Create unit test
curl --request POST \
--url https://app.freyavoice.ai/api/v2/unit-tests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityId": "<string>",
"input": {
"schemaVersion": 1,
"messages": [
{
"role": "<string>",
"message": "<string>",
"content": "<string>",
"messageId": "<string>",
"nodeId": "<string>",
"secondsFromStart": 123,
"duration": 123,
"timestamp": "<string>",
"endTime": 123,
"wasBlocked": true,
"was_blocked": true,
"blockedContent": "<string>",
"blocked_content": "<string>",
"workflowSnapshot": "<unknown>"
}
],
"customerVariables": {},
"authoredAgainstVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"expectation": "<string>",
"assertions": [],
"judgeContext": {
"includeRoutingEvents": true,
"includeExtractionEvents": true,
"includeToolCalls": true,
"includeOtherEvents": true
},
"seedCallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seedMessageId": "<string>",
"tags": []
}
'import requests
url = "https://app.freyavoice.ai/api/v2/unit-tests"
payload = {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityId": "<string>",
"input": {
"schemaVersion": 1,
"messages": [
{
"role": "<string>",
"message": "<string>",
"content": "<string>",
"messageId": "<string>",
"nodeId": "<string>",
"secondsFromStart": 123,
"duration": 123,
"timestamp": "<string>",
"endTime": 123,
"wasBlocked": True,
"was_blocked": True,
"blockedContent": "<string>",
"blocked_content": "<string>",
"workflowSnapshot": "<unknown>"
}
],
"customerVariables": {},
"authoredAgainstVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"expectation": "<string>",
"assertions": [],
"judgeContext": {
"includeRoutingEvents": True,
"includeExtractionEvents": True,
"includeToolCalls": True,
"includeOtherEvents": True
},
"seedCallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seedMessageId": "<string>",
"tags": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
entityId: '<string>',
input: {
schemaVersion: 1,
messages: [
{
role: '<string>',
message: '<string>',
content: '<string>',
messageId: '<string>',
nodeId: '<string>',
secondsFromStart: 123,
duration: 123,
timestamp: '<string>',
endTime: 123,
wasBlocked: true,
was_blocked: true,
blockedContent: '<string>',
blocked_content: '<string>',
workflowSnapshot: '<unknown>'
}
],
customerVariables: {},
authoredAgainstVersionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
name: '<string>',
expectation: '<string>',
assertions: [],
judgeContext: {
includeRoutingEvents: true,
includeExtractionEvents: true,
includeToolCalls: true,
includeOtherEvents: true
},
seedCallId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
seedMessageId: '<string>',
tags: []
})
};
fetch('https://app.freyavoice.ai/api/v2/unit-tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityType": "agent",
"entityId": "<string>",
"name": "<string>",
"expectation": "<string>",
"assertions": [
{
"type": "routing",
"target": "<string>",
"signal": "node_entered",
"negate": false
}
],
"tags": [
"<string>"
],
"input": {
"schemaVersion": 1,
"callType": "web",
"messages": [
{
"role": "<string>",
"message": "<string>",
"content": "<string>",
"messageId": "<string>",
"nodeId": "<string>",
"secondsFromStart": 123,
"duration": 123,
"timestamp": "<string>",
"endTime": 123,
"wasBlocked": true,
"was_blocked": true,
"blockedContent": "<string>",
"blocked_content": "<string>",
"workflowSnapshot": "<unknown>"
}
],
"customerVariables": {},
"authoredAgainstVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"seedCallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seedMessageId": "<string>",
"ordinal": 123,
"isArchived": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"judgeContext": {
"includeRoutingEvents": true,
"includeExtractionEvents": true,
"includeToolCalls": true,
"includeOtherEvents": true
}
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Unit Tests
Create unit test
Creates a new unit test against an agent or workflow snapshot.
POST
/
unit-tests
Create unit test
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
agent, workflow Minimum string length:
1Show child attributes
Show child attributes
Required string length:
1 - 180Maximum string length:
50000Maximum array length:
50- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes